Subject: New 48 hour LC on draft-ietf-tsvwg-sctpsocket

From: "James M. Polk" <[email-masked]>
Date: Tue, 28 Jun 2011 22:30:45 -0500

TSVWG

Michael Tüxen discovered a few bugs when 
implementing this SCTP Socket API against -29 of 
this draft.  The chairs are issuing a VERY SHORT 48 hour WGLC (details below).

Here is the complete list (including the issues earlier reported):

(NOTE: the "I" below is from Michael)

(1) The list in section 8 for the socket options supported by sctp_opt_info()
     is outdated. It should be updated to be consistent with the current doc.
     I consider this purely editorial.
(2) The description of SCTP_LOCAL_AUTH_CHUNKS is missing a statement regarding
     the special assoc ids. It should be added.
     I consider this purely editorial.
(3) It should be made clear in section 8.1.20 that the sctp_data_io_event
     is deprecated.
     I consider this purely editorial.
(4) For all socket options supporting an association ID, only the special value
     of SCTP_FUTURE_ASSOC might make sense with 
getsockopt(). SCTP_ALL_ASSOC and
     SCTP_CURRENT_ASSOC do not make sense. This should be stated explicitly.
     I consider this purely editorial.
(5) Change
     struct sctp_authinfo {
       uint16_t auth_keyid;
     }
     to
     struct sctp_authinfo {
       uint16_t auth_keynumber;
     }
     to make naming consistent in the document.
     I consider this purely editorial.
(6) The SCTP_PEER_ADDR_PARAMS socket option supports SCTP_FUTURE_ASSOCS.
     This is not stated correctly in the ID.
     I consider this purely editorial.
(7) The description of sctp_sendv() is missing the constant SCTP_SENDV_NOINFO.
     This is an omission and should be added.
     I don't consider this to be a technically change.
(8) A socket option for setting/getting the default SCTP_PRINFO. This was
     forgotten.
     I don't consider this to be a technically change.

TSVWG now has 48 hours to let the chairs know if 
they see any problems with the proposed status or 
fixes stated to any open issue listed above. This 
is a VERY short LC, ending Thursday at 11pm EDT (2300 East Coast US Time).

If you have issues, make sure the chairs hear you in the next 48 hours.

James & Gorry
TSVWG chairs